DynamicJava Javadoc: Class ResourceFormatException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.gui.resource
Class ResourceFormatException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--koala.dynamicjava.gui.resource.ResourceFormatException

All Implemented Interfaces:
  java.io.Serializable

public class ResourceFormatException
extends java.lang.RuntimeException

Signals a format error in a resource bundle

See Also:
  Serialized Form

Constructor Summary
`ResourceFormatException(java.lang.String s, java.lang.String className, java.lang.String key)` Constructs a ResourceFormatException with the specified information.

Method Summary
`java.lang.String` | `getClassName()` Gets parameter passed by constructor.
`java.lang.String` | `getKey()` Gets parameter passed by constructor.
`java.lang.String` | `toString()` Returns a printable representation of this object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceFormatException

    public ResourceFormatException(java.lang.String s,
                                   java.lang.String className,
                                   java.lang.String key)

  Constructs a ResourceFormatException with the specified information. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - the detail message
    `classname` - the name of the resource class
    `key` - the key for the malformed resource.

Method Detail

### getClassName

    public java.lang.String getClassName()

  Gets parameter passed by constructor.

### getKey

    public java.lang.String getKey()

  Gets parameter passed by constructor.

### toString

    public java.lang.String toString()

  Returns a printable representation of this object
  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.